Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Trader_Interfaces.h File Reference

`#include "Trader_Utils.h"`
`#include "Constraint_Interpreter.h"`
`#include "Offer_Iterators_T.h"`
`#include "Trader_T.h"`

Include dependency graph for Trader_Interfaces.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Admin
| This class implements CosTrading::Admin IDL interface. More...
class | TAO_Link
class | TAO_Lookup
| This class implements CosTrading::Lookup IDL interface. More...
class | TAO_Proxy
class | TAO_Register
| This class implements CosTrading::Register IDL interface. More...

## Detailed Description

Id:
  Trader_Interfaces.h,v 1.26 2003/07/21 23:51:33 dhinton Exp

Author:
  Marina Spivak <marina@cs.wustl.edu> , Seth Widoff <sbw1@cs.wustl.edu> , Irfan Pyarali <irfan@cs.wustl.edu>